### Eclipse Workspace Patch 1.0
#P org.jboss.tools.seam.xml.ui
Index: plugin.xml
===================================================================
--- plugin.xml	(revision 41074)
+++ plugin.xml	(working copy)
@@ -22,7 +22,7 @@
       <xmlEditor 
             class="org.jboss.tools.jst.web.ui.editors.WebCompoundEditor" 
             contributorClass="org.jboss.tools.common.model.ui.texteditors.MultiPageContributor" 
-            entities="FileSeamComponents11,FileSeamComponents12,FileSeamComponents20,FileSeamComponents21,FileSeamComponents22,FileSeamComponents23,FileSeamComponent12,FileSeamComponent20,FileSeamComponent21,FileSeamComponent22,FileSeamComponent23" 
+            entities="FileSeamComponents11,FileSeamComponents12,FileSeamComponents20,FileSeamComponents21,FileSeamComponents22,FileSeamComponents23,FileSeamComponents230,FileSeamComponent12,FileSeamComponent20,FileSeamComponent21,FileSeamComponent22,FileSeamComponent23,FileSeamComponent230" 
             icon="$nl$/images/xstudio/editors/seam-components.gif" 
             name="%editors.spring-beans.name">
       </xmlEditor>
#P org.jboss.tools.seam.xml
Index: resources/meta/seam-core.meta
===================================================================
--- resources/meta/seam-core.meta	(revision 41074)
+++ resources/meta/seam-core.meta	(working copy)
@@ -9,6 +9,10 @@
    <PAIR name="bpm" value="http://jboss.com/products/seam/bpm"/>
    <PAIR name="core" value="http://jboss.com/products/seam/core"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="bpm" value="http://jboss.org/schema/seam/bpm"/>
+   <PAIR name="core" value="http://jboss.org/schema/seam/core"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="bpm$20" value="http://jboss.com/products/seam/bpm-2.0.xsd"/>
    <PAIR name="bpm$21" value="http://jboss.com/products/seam/bpm-2.1.xsd"/>
@@ -20,6 +24,10 @@
    <PAIR name="core$22" value="http://jboss.com/products/seam/core-2.2.xsd"/>
    <PAIR name="core$23" value="http://jboss.com/products/seam/core-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="bpm$230" value="http://jboss.org/schema/seam/bpm-2.3.xsd"/>
+   <PAIR name="core$230" value="http://jboss.org/schema/seam/core-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -2174,4 +2182,21 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamCoreInit21"/>
+   <XChildEntity name="SeamCoreManager21"/>
+   <XChildEntity name="SeamCorePojoCache"/>
+   <XChildEntity name="SeamCoreResourceLoader20"/>
+   <XChildEntity name="SeamBPMActor20"/>
+   <XChildEntity name="SeamBPMJBPM20"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Core" path="CreateActions.Core"/>
+    <XActionItemReference entity="FileSeamComponents21" name="BPM" path="CreateActions.BPM"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-international.meta
===================================================================
--- resources/meta/seam-international.meta	(revision 41074)
+++ resources/meta/seam-international.meta	(working copy)
@@ -8,12 +8,18 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="international" value="http://jboss.com/products/seam/international"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="international" value="http://jboss.org/schema/seam/international"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="international$20" value="http://jboss.com/products/seam/international-2.0.xsd"/>
    <PAIR name="international$21" value="http://jboss.com/products/seam/international-2.1.xsd"/>
    <PAIR name="international$22" value="http://jboss.com/products/seam/international-2.2.xsd"/>
    <PAIR name="international$23" value="http://jboss.com/products/seam/international-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="international$230" value="http://jboss.org/schema/seam/international-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -320,4 +326,18 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamCoreLocaleSelector20"/>
+   <XChildEntity name="SeamCoreTimeZoneSelector20"/>
+   <XChildEntity name="SeamInternationalLocaleConfig"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21"
+     name="International" path="CreateActions.International"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-remoting.meta
===================================================================
--- resources/meta/seam-remoting.meta	(revision 41074)
+++ resources/meta/seam-remoting.meta	(working copy)
@@ -8,6 +8,9 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="remoting" value="http://jboss.com/products/seam/remoting"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="remoting" value="http://jboss.org/schema/seam/remoting"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="remoting" value="http://jboss.com/products/seam/remoting-1.2.xsd"/>
    <PAIR name="remoting$20" value="http://jboss.com/products/seam/remoting-2.0.xsd"/>
@@ -15,6 +18,9 @@
    <PAIR name="remoting$22" value="http://jboss.com/products/seam/remoting-2.2.xsd"/>
    <PAIR name="remoting$23" value="http://jboss.com/products/seam/remoting-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="remoting$230" value="http://jboss.org/schema/seam/remoting-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -302,4 +308,15 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamRemoting21"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Remoting" path="CreateActions.Remoting"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-theme.meta
===================================================================
--- resources/meta/seam-theme.meta	(revision 41074)
+++ resources/meta/seam-theme.meta	(working copy)
@@ -8,6 +8,9 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="theme" value="http://jboss.com/products/seam/theme"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="theme" value="http://jboss.org/schema/seam/theme"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="theme" value="http://jboss.com/products/seam/theme-1.2.xsd"/>
    <PAIR name="theme$20" value="http://jboss.com/products/seam/theme-2.0.xsd"/>
@@ -15,6 +18,9 @@
    <PAIR name="theme$22" value="http://jboss.com/products/seam/theme-2.2.xsd"/>
    <PAIR name="theme$23" value="http://jboss.com/products/seam/theme-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="theme$230" value="http://jboss.org/schema/seam/theme-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -310,4 +316,15 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamThemeSelector20"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Theme" path="CreateActions.Theme"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-mail.meta
===================================================================
--- resources/meta/seam-mail.meta	(revision 41074)
+++ resources/meta/seam-mail.meta	(working copy)
@@ -8,6 +8,9 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="mail" value="http://jboss.com/products/seam/mail"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="mail" value="http://jboss.org/schema/seam/mail"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="mail" value="http://jboss.com/products/seam/mail-1.2.xsd"/>
    <PAIR name="mail$20" value="http://jboss.com/products/seam/mail-2.0.xsd"/>
@@ -15,6 +18,9 @@
    <PAIR name="mail$22" value="http://jboss.com/products/seam/mail-2.2.xsd"/>
    <PAIR name="mail$23" value="http://jboss.com/products/seam/mail-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="mail$230" value="http://jboss.org/schema/seam/mail-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -484,4 +490,17 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamMailSession"/>
+   <XChildEntity name="SeamMailMeldware"/>
+   <XChildEntity name="SeamMailMeldwareUser"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Mail" path="CreateActions.Core"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-jms.meta
===================================================================
--- resources/meta/seam-jms.meta	(revision 41074)
+++ resources/meta/seam-jms.meta	(working copy)
@@ -8,12 +8,18 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="jms" value="http://jboss.com/products/seam/jms"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="jms" value="http://jboss.org/schema/seam/jms"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="jms" value="http://jboss.com/products/seam/jms-1.2.xsd"/>
    <PAIR name="jms$20" value="http://jboss.com/products/seam/jms-2.0.xsd"/>
    <PAIR name="jms$21" value="http://jboss.com/products/seam/jms-2.1.xsd"/>
    <PAIR name="jms$23" value="http://jboss.com/products/seam/jms-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="jms$230" value="http://jboss.org/schema/seam/jms-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -435,4 +441,17 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamJmsQueueConnection"/>
+   <XChildEntity name="SeamJmsTopicConnection"/>
+   <XChildEntity name="SeamJmsTopicPublisher"/>
+   <XChildEntity name="SeamJmsQueueSender"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="JMS" path="CreateActions.JMS"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-framework.meta
===================================================================
--- resources/meta/seam-framework.meta	(revision 41074)
+++ resources/meta/seam-framework.meta	(working copy)
@@ -8,6 +8,9 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="framework" value="http://jboss.com/products/seam/framework"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="framework" value="http://jboss.org/schema/seam/framework"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="framework" value="http://jboss.com/products/seam/framework-1.2.xsd"/>
    <PAIR name="framework$20" value="http://jboss.com/products/seam/framework-2.0.xsd"/>
@@ -15,6 +18,9 @@
    <PAIR name="framework$22" value="http://jboss.com/products/seam/framework-2.2.xsd"/>
    <PAIR name="framework$23" value="http://jboss.com/products/seam/framework-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="framework$230" value="http://jboss.org/schema/seam/framework-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -825,4 +831,18 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamFrameworkEntityQuery21"/>
+   <XChildEntity name="SeamFrameworkHibernateEntityQuery21"/>
+   <XChildEntity name="SeamFrameworkEntityHome"/>
+   <XChildEntity name="SeamFrameworkHibernateEntityHome"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Framework" path="CreateActions.Framework"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-async.meta
===================================================================
--- resources/meta/seam-async.meta	(revision 41074)
+++ resources/meta/seam-async.meta	(working copy)
@@ -8,12 +8,18 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="async" value="http://jboss.com/products/seam/async"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="async" value="http://jboss.org/schema/seam/async"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="async$20" value="http://jboss.com/products/seam/async-2.0.xsd"/>
    <PAIR name="async$21" value="http://jboss.com/products/seam/async-2.1.xsd"/>
    <PAIR name="async$22" value="http://jboss.com/products/seam/async-2.2.xsd"/>
    <PAIR name="async$23" value="http://jboss.com/products/seam/async-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="async$230" value="http://jboss.org/schema/seam/async-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -284,4 +290,17 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamAsyncPool"/>
+   <XChildEntity name="SeamAsyncQuartz"/>
+   <XChildEntity name="SeamAsyncTimer"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Async" path="CreateActions.Async"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-web.meta
===================================================================
--- resources/meta/seam-web.meta	(revision 41074)
+++ resources/meta/seam-web.meta	(working copy)
@@ -8,12 +8,18 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="web" value="http://jboss.com/products/seam/web"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="web" value="http://jboss.org/schema/seam/web"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="web" value="http://jboss.com/products/seam/web-1.2.xsd"/>
    <PAIR name="web$20" value="http://jboss.com/products/seam/web-2.0.xsd"/>
    <PAIR name="web$21" value="http://jboss.com/products/seam/web-2.1.xsd"/>
    <PAIR name="web$23" value="http://jboss.com/products/seam/web-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="web$230" value="http://jboss.org/schema/seam/web-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -1254,4 +1260,51 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamWebContextFilter20"/>
+   <XChildEntity name="SeamWebExceptionFilter20"/>
+   <XChildEntity name="SeamWebMultipartFilter20"/>
+   <XChildEntity name="SeamWebRedirectFilter20"/>
+   <XChildEntity name="SeamWebAuthenticationFilter20"/>
+   <XChildEntity name="SeamWebCharacterFilter20"/>
+   <XChildEntity name="SeamWebAjaxFilter20"/>
+   <XChildEntity name="SeamWebLoggingFilter20"/>
+   <XChildEntity name="SeamWebSession21"/>
+   <XChildEntity name="SeamWebIdentityFilter21"/>
+   <XChildEntity name="SeamWebWicketFilter21"/>
+   <XChildEntity name="SeamWebHotDeployFilter21"/>
+   <XChildEntity name="SeamWebRewriteFilter21"/>
+   <XChildEntity name="SeamWebCacheControlFilter23"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItem ICON="action.empty" displayName="Web" group="1"
+     kind="list" name="Web">
+     <XActionItemReference entity="FileSeamComponents21" name="AddContextFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddExceptionFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddMultipartFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddRedirectFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddAuthenticationFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddCharacterFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddAjaxFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddLoggingFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddSession"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddIdentityFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddWicketFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddHotDeployFilter"/>
+     <XActionItemReference entity="FileSeamComponents21" name="AddRewriteFilter"/>
+     <XActionItem HandlerClassName="%Create%" ICON="action.empty"
+      PROPERTIES="validator.add=true" WizardClassName="%Default%"
+      displayName="Cache Control Filter..." kind="action" name="AddCacheControlFilter">
+      <EntityData EntityName="SeamWebCacheControlFilter23">
+       <AttributeData AttributeName="name"/>
+       <AttributeData AttributeName="value" Mandatory="no"/>
+      </EntityData>
+     </XActionItem>
+    </XActionItem>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-security.meta
===================================================================
--- resources/meta/seam-security.meta	(revision 41074)
+++ resources/meta/seam-security.meta	(working copy)
@@ -8,6 +8,9 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="security" value="http://jboss.com/products/seam/security"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="security" value="http://jboss.org/schema/seam/security"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="security" value="http://jboss.com/products/seam/security-1.2.xsd"/>
    <PAIR name="security$20" value="http://jboss.com/products/seam/security-2.0.xsd"/>
@@ -15,6 +18,9 @@
    <PAIR name="security$22" value="http://jboss.com/products/seam/security-2.2.xsd"/>
    <PAIR name="security$23" value="http://jboss.com/products/seam/security-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="security$230" value="http://jboss.org/schema/seam/security-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -1042,4 +1048,25 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamSecurityIdentity21"/>
+   <XChildEntity name="SeamFacesSecurityEvents20"/>
+   <XChildEntity name="SeamSecurityIdentityManager21"/>
+   <XChildEntity name="SeamSecurityJPAIdentityStore21"/>
+   <XChildEntity name="SeamSecurityJPATokenStore22"/>
+   <XChildEntity name="SeamSecurityLDAPIdentityStore21"/>
+   <XChildEntity name="SeamSecurityPermissionManager21"/>
+   <XChildEntity name="SeamSecurityJPAPermissionStore21"/>
+   <XChildEntity name="SeamSecurityRuleBasedPermissionResolver21"/>
+   <XChildEntity name="SeamSecurityPersistentPermissionResolver21"/>
+   <XChildEntity name="SeamSecurityRememberMe22"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents22" name="Security" path="CreateActions.Security"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-persistence.meta
===================================================================
--- resources/meta/seam-persistence.meta	(revision 41074)
+++ resources/meta/seam-persistence.meta	(working copy)
@@ -8,12 +8,18 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="persistence" value="http://jboss.com/products/seam/persistence"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="persistence" value="http://jboss.org/schema/seam/persistence"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="persistence$20" value="http://jboss.com/products/seam/persistence-2.0.xsd"/>
    <PAIR name="persistence$21" value="http://jboss.com/products/seam/persistence-2.1.xsd"/>
    <PAIR name="persistence$22" value="http://jboss.com/products/seam/persistence-2.2.xsd"/>
    <PAIR name="persistence$23" value="http://jboss.com/products/seam/persistence-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="persistence$230" value="http://jboss.org/schema/seam/persistence-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -1017,4 +1023,20 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamPersistenceManagedContext"/>
+   <XChildEntity name="SeamPersistenceEntityManagerFactory"/>
+   <XChildEntity name="SeamPersistenceFilter"/>
+   <XChildEntity name="SeamPersistenceManagedHibernateSession"/>
+   <XChildEntity name="SeamPersistenceHibernateSessionFactory21"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21"
+     name="Persistence" path="CreateActions.Persistence"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-drools.meta
===================================================================
--- resources/meta/seam-drools.meta	(revision 41074)
+++ resources/meta/seam-drools.meta	(working copy)
@@ -8,6 +8,9 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="drools" value="http://jboss.com/products/seam/drools"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="drools" value="http://jboss.org/schema/seam/drools"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="drools" value="http://jboss.com/products/seam/drools-1.2.xsd"/>
    <PAIR name="drools$20" value="http://jboss.com/products/seam/drools-2.0.xsd"/>
@@ -15,6 +18,9 @@
    <PAIR name="drools$22" value="http://jboss.com/products/seam/drools-2.2.xsd"/>
    <PAIR name="drools$23" value="http://jboss.com/products/seam/drools-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="drools$230" value="http://jboss.org/schema/seam/drools-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -587,4 +593,17 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamDroolsManagedWorkingMemory22"/>
+   <XChildEntity name="SeamDroolsRuleBase22"/>
+   <XChildEntity name="SeamDroolsRuleAgent"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents22" name="Drools" path="CreateActions.Drools"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-ui.meta
===================================================================
--- resources/meta/seam-ui.meta	(revision 41074)
+++ resources/meta/seam-ui.meta	(working copy)
@@ -8,11 +8,17 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="ui" value="http://jboss.com/products/seam/ui"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="ui" value="http://jboss.org/schema/seam/ui"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="ui$21" value="http://jboss.com/products/seam/ui-2.1.xsd"/>
    <PAIR name="ui$22" value="http://jboss.com/products/seam/ui-2.2.xsd"/>
    <PAIR name="ui$23" value="http://jboss.com/products/seam/ui-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="ui$230" value="http://jboss.org/schema/seam/ui-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -207,4 +213,17 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamUIJPA21"/>
+   <XChildEntity name="SeamUIHibernate21"/>
+   <XChildEntity name="SeamUIEntityConverter21"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="UI" path="CreateActions.UI"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-transaction.meta
===================================================================
--- resources/meta/seam-transaction.meta	(revision 41074)
+++ resources/meta/seam-transaction.meta	(working copy)
@@ -8,12 +8,18 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="transaction" value="http://jboss.com/products/seam/transaction"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="transaction" value="http://jboss.org/schema/seam/transaction"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="transaction$20" value="http://jboss.com/products/seam/transaction-2.0.xsd"/>
    <PAIR name="transaction$21" value="http://jboss.com/products/seam/transaction-2.1.xsd"/>
    <PAIR name="transaction$22" value="http://jboss.com/products/seam/transaction-2.2.xsd"/>
    <PAIR name="transaction$23" value="http://jboss.com/products/seam/transaction-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="transaction$230" value="http://jboss.org/schema/seam/transaction-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -350,4 +356,19 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamTransactionEjb"/>
+   <XChildEntity name="SeamTransactionEntity"/>
+   <XChildEntity name="SeamTransactionHibernate"/>
+   <XChildEntity name="SeamNoTransaction"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21"
+     name="Transaction" path="CreateActions.Transaction"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-wicket.meta
===================================================================
--- resources/meta/seam-wicket.meta	(revision 41074)
+++ resources/meta/seam-wicket.meta	(working copy)
@@ -8,11 +8,17 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="wicket" value="http://jboss.com/products/seam/wicket"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="wicket" value="http://jboss.org/schema/seam/wicket"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="wicket$21" value="http://jboss.com/products/seam/wicket-2.1.xsd"/>
    <PAIR name="wicket$22" value="http://jboss.com/products/seam/wicket-2.2.xsd"/>
    <PAIR name="wicket$23" value="http://jboss.com/products/seam/wicket-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="wicket$230" value="http://jboss.org/schema/seam/wicket-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -113,4 +119,15 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamWicketWebApp21"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Wicket" path="CreateActions.Wicket"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-pdf.meta
===================================================================
--- resources/meta/seam-pdf.meta	(revision 41074)
+++ resources/meta/seam-pdf.meta	(working copy)
@@ -8,6 +8,9 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="pdf" value="http://jboss.com/products/seam/pdf"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="pdf" value="http://jboss.org/schema/seam/pdf"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="pdf" value="http://jboss.com/products/seam/pdf-1.2.xsd"/>
    <PAIR name="pdf$20" value="http://jboss.com/products/seam/pdf-2.0.xsd"/>
@@ -15,6 +18,9 @@
    <PAIR name="pdf$22" value="http://jboss.com/products/seam/pdf-2.2.xsd"/>
    <PAIR name="pdf$23" value="http://jboss.com/products/seam/pdf-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="pdf$230" value="http://jboss.org/schema/seam/pdf-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -261,4 +267,15 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamPdfKeyStoreConfig"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItemReference entity="FileSeamComponents21" name="Pdf" path="CreateActions.Pdf"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-navigation.meta
===================================================================
--- resources/meta/seam-navigation.meta	(revision 41074)
+++ resources/meta/seam-navigation.meta	(working copy)
@@ -8,12 +8,18 @@
   <MAPPING name="SeamNamespaces">
    <PAIR name="navigation" value="http://jboss.com/products/seam/navigation"/>
   </MAPPING>
+  <MAPPING name="SeamNamespacesOrg">
+   <PAIR name="navigation" value="http://jboss.org/schema/seam/navigation"/>
+  </MAPPING>
   <MAPPING name="SeamSchemas">
    <PAIR name="navigation$20" value="http://jboss.com/products/seam/navigation-2.0.xsd"/>
    <PAIR name="navigation$21" value="http://jboss.com/products/seam/navigation-2.1.xsd"/>
    <PAIR name="navigation$22" value="http://jboss.com/products/seam/navigation-2.2.xsd"/>
    <PAIR name="navigation$23" value="http://jboss.com/products/seam/navigation-2.3.xsd"/>
   </MAPPING>
+  <MAPPING name="SeamSchemasOrg">
+   <PAIR name="navigation$230" value="http://jboss.org/schema/seam/navigation-2.3.xsd"/>
+  </MAPPING>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -235,4 +241,15 @@
    </XActionItem>
   </XActionItem>
  </XEntityExtension>
+ <XEntityExtension name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamNavigationPages"/>
+  </XChildrenEntities>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+   <XActionItemReference entity="FileSeamComponents22" name="Navigation" path="CreateActions.Navigation"/>
+   </XActionItem>
+  </XActionItem>
+ </XEntityExtension>
 </XModelEntityGroup>
Index: resources/meta/seam-components.meta
===================================================================
--- resources/meta/seam-components.meta	(revision 41074)
+++ resources/meta/seam-components.meta	(working copy)
@@ -16,6 +16,7 @@
    <PAIR name="SeamComponents2.1" value="FileSeamComponents21"/>
    <PAIR name="SeamComponents2.2" value="FileSeamComponents22"/>
    <PAIR name="SeamComponents2.3" value="FileSeamComponents23"/>
+   <PAIR name="SeamComponents2.3(org)" value="FileSeamComponents230"/>
   </MAPPING>
   <MAPPING name="FilteredTreeConstraints"/>
   <MAPPING name="FilteredTrees"/>
@@ -24,7 +25,9 @@
    <PAIR name="xml$38" value="org.jboss.tools.seam.xml.components.model.SeamComponentsEntityRecognizer"/>
   </MAPPING>
   <MAPPING name="SeamNamespaces"/>
+  <MAPPING name="SeamNamespacesOrg"/>
   <MAPPING name="SeamSchemas"/>
+  <MAPPING name="SeamSchemasOrg"/>
  </MAPPINGS>
  <ICONS>
   <GROUP name="action">
@@ -709,6 +712,104 @@
   </XActionItem>
   <XDependencies/>
  </XModelEntity>
+ <XModelEntity
+  ImplementationLoadingClass="org.jboss.tools.seam.xml.components.model.SeamComponentsFileLoader"
+  ImplementingClass="org.jboss.tools.seam.xml.components.model.FileSeamComponentsImpl"
+  ObjectEditorClass="%XML%"
+  PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.seam.xml.ui.editor.form.SeamXMLFormLayoutData"
+  XMLSUBPATH="component" name="FileSeamComponent230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamProperty"/>
+   <XChildEntity name="SeamPropertyList"/>
+   <XChildEntity name="SeamPropertyMap"/>
+  </XChildrenEntities>
+  <XEntityRenderer>
+   <ICONS>
+    <ICON info="main.seam.file" type="main"/>
+   </ICONS>
+  </XEntityRenderer>
+  <XModelAttributes>
+   <XModelAttribute default="components" loader="ElementType" name="element type">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=general" name="name" xmlname="NAME"/>
+   <XModelAttribute PROPERTIES="id=true;category=general"
+    name="component-name" xmlname="name"/>
+   <XModelAttributeReference
+    attributes="class,scope,precedence,installed,auto-create,jndi-name,startup,startupDepends"
+    entity="SeamComponent21" name="component"/>
+   <XModelAttribute default="xml" name="extension" xmlname="EXTENSION">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute TRIM="no" name="comment" visibility="false" xmlname="#comment">
+    <Editor name="Note"/>
+   </XModelAttribute>
+   <XModelAttribute loader="ElementType" name="_lateload" visibility="false">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute default="no" name="isIncorrect" visibility="false">
+    <Constraint loader="List">
+     <value name="yes"/>
+     <value name="no"/>
+    </Constraint>
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute name="incorrectBody" visibility="false"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://jboss.org/schema/seam/components" name="xmlns" xmlname="xmlns"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://www.w3.org/2001/XMLSchema-instance" name="xmlns:xsi" xmlname="xmlns:xsi"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://jboss.org/schema/seam/components http://jboss.org/schema/seam/components-2.3.xsd"
+    name="xsi:schemaLocation" xmlname="xsi:schemaLocation"/>
+   <XModelAttribute name="namespaceMapping"/>
+   <XModelAttribute name="encoding">
+    <Constraint loader="ListString">
+     <value name="ISO-8859-1"/>
+     <value name="UTF-8"/>
+    </Constraint>
+    <Editor name="ListString"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=advanced"
+    default="default(false)" name="startup" xmlname="startup">
+    <Constraint loader="ListString">
+     <value name="default(false)"/>
+     <value name="true"/>
+     <value name="false"/>
+    </Constraint>
+    <Editor name="ListString"/>
+   </XModelAttribute>
+  </XModelAttributes>
+  <XActionItem kind="list">
+   <XActionItemReference entity="FileSeamComponent20" name="Open" path="Open"/>
+   <XActionItemReference entity="FileSeamComponent20" name="OpenWith" path="OpenWith"/>
+   <XActionItemReference entity="FileSeamComponent20" name="EditActions" path="EditActions"/>
+   <XActionItemReference entity="FileSeamComponent20" name="SaveActions" path="SaveActions"/>
+   <XActionItemReference entity="FileSeamComponent20"
+    name="CreateActions" path="CreateActions"/>
+   <XActionItemReference entity="FileSeamComponent20" name="CopyActions" path="CopyActions"/>
+   <XActionItemReference entity="FileSeamComponent20"
+    name="DeleteActions" path="DeleteActions"/>
+   <XActionItemReference entity="FileSeamComponent20" name="Properties" path="Properties"/>
+   <XActionItemReference entity="FileSeamComponent20"
+    name="DiscardActions" path="DiscardActions"/>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XModelEntity name="FileSeamComponent230_EditorActionList">
+  <XChildrenEntities/>
+  <XEntityRenderer/>
+  <XModelAttributes/>
+  <XActionItem kind="list">
+   <XActionItemReference entity="FileSeamComponent21"
+    name="CreateActions" path="CreateActions"/>
+   <XActionItemReference entity="FileSeamComponent20" name="Properties" path="Properties"/>
+   <XActionItem kind="list" name="VerifyActions">
+    <XActionItem kind="list" name="StaticActions"/>
+   </XActionItem>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
  <XModelEntity name="FileSeamComponent23_EditorActionList">
   <XChildrenEntities/>
   <XEntityRenderer/>
@@ -1608,6 +1709,127 @@
   </XActionItem>
   <XDependencies/>
  </XModelEntity>
+ <XModelEntity
+  ImplementationLoadingClass="org.jboss.tools.seam.xml.components.model.SeamComponentsFileLoader"
+  ImplementingClass="org.jboss.tools.seam.xml.components.model.FileSeamComponentsImpl"
+  ObjectEditorClass="%XML%"
+  PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.seam.xml.ui.editor.form.SeamXMLFormLayoutData"
+  XMLSUBPATH="components" name="FileSeamComponents230">
+  <XChildrenEntities>
+   <XChildEntity name="SeamComponent21"/>
+   <XChildEntity name="SeamFactory20"/>
+   <XChildEntity name="SeamEvent20"/>
+   <XChildEntity name="SeamImport"/>
+  </XChildrenEntities>
+  <XEntityRenderer>
+   <ICONS>
+    <ICON info="main.seam.file" type="main"/>
+   </ICONS>
+  </XEntityRenderer>
+  <XModelAttributes>
+   <XModelAttribute default="components" loader="ElementType" name="element type">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=general" name="name" xmlname="NAME"/>
+   <XModelAttribute default="xml" name="extension" xmlname="EXTENSION">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute TRIM="no" name="comment" visibility="false" xmlname="#comment">
+    <Editor name="Note"/>
+   </XModelAttribute>
+   <XModelAttribute loader="ElementType" name="_lateload" visibility="false">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute default="no" name="isIncorrect" visibility="false">
+    <Constraint loader="List">
+     <value name="yes"/>
+     <value name="no"/>
+    </Constraint>
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute name="incorrectBody" visibility="false"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://jboss.org/schema/seam/components" name="xmlns" xmlname="xmlns"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://www.w3.org/2001/XMLSchema-instance" name="xmlns:xsi" xmlname="xmlns:xsi"/>
+   <XModelAttribute PROPERTIES="save=always"
+    default="http://jboss.org/schema/seam/components http://jboss.org/schema/seam/components-2.3.xsd"
+    name="xsi:schemaLocation" xmlname="xsi:schemaLocation"/>
+   <XModelAttribute name="namespaceMapping"/>
+   <XModelAttribute name="encoding">
+    <Constraint loader="ListString">
+     <value name="ISO-8859-1"/>
+     <value name="UTF-8"/>
+    </Constraint>
+    <Editor name="ListString"/>
+   </XModelAttribute>
+  </XModelAttributes>
+  <XActionItem kind="list">
+   <XActionItemReference entity="FileSeamComponents20" name="Open" path="Open"/>
+   <XActionItemReference entity="FileSeamComponents20" name="OpenWith" path="OpenWith"/>
+   <XActionItemReference entity="FileSeamComponents20"
+    name="EditActions" path="EditActions"/>
+   <XActionItemReference entity="FileSeamComponents20"
+    name="SaveActions" path="SaveActions"/>
+   <XActionItem ICON="action.empty" displayName="New" group="1"
+    kind="list" name="CreateActions">
+    <XActionItem HandlerClassName="%Create%"
+     ICON="action.new.struts.webapp.res_ref"
+     PROPERTIES="validator.add=true" WizardClassName="%Default%"
+     displayName="Component..." kind="action" name="AddComponent">
+     <EntityData EntityName="SeamComponent21">
+      <AttributeData AttributeName="name"/>
+      <AttributeData AttributeName="class" Mandatory="no"/>
+     </EntityData>
+    </XActionItem>
+    <XActionItem HandlerClassName="%Create%"
+     ICON="action.new.struts.webapp.res_ref"
+     PROPERTIES="validator.add=true" WizardClassName="%Default%"
+     displayName="Factory..." kind="action" name="AddFactory">
+     <EntityData EntityName="SeamFactory20">
+      <AttributeData AttributeName="name"/>
+      <AttributeData AttributeName="value" Mandatory="no"/>
+     </EntityData>
+    </XActionItem>
+    <XActionItem HandlerClassName="%Create%" ICON="action.empty"
+     PROPERTIES="validator.add=true" WizardClassName="%Default%"
+     displayName="Event..." kind="action" name="AddEvent">
+     <EntityData EntityName="SeamEvent20">
+      <AttributeData AttributeName="type"/>
+     </EntityData>
+    </XActionItem>
+    <XActionItem HandlerClassName="%Create%" ICON="action.empty"
+     PROPERTIES="validator.add=true" WizardClassName="%Default%"
+     displayName="Import..." kind="action" name="AddImport">
+     <EntityData EntityName="SeamImport">
+      <AttributeData AttributeName="import"/>
+     </EntityData>
+    </XActionItem>
+   </XActionItem>
+   <XActionItemReference entity="FileSeamComponents20"
+    name="CopyActions" path="CopyActions"/>
+   <XActionItemReference entity="FileSeamComponents20"
+    name="DeleteActions" path="DeleteActions"/>
+   <XActionItemReference entity="FileSeamComponents20" name="Properties" path="Properties"/>
+   <XActionItemReference entity="FileSeamComponents20"
+    name="DiscardActions" path="DiscardActions"/>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XModelEntity name="FileSeamComponents230_EditorActionList">
+  <XChildrenEntities/>
+  <XEntityRenderer/>
+  <XModelAttributes/>
+  <XActionItem kind="list">
+   <XActionItemReference entity="FileSeamComponents23"
+    name="CreateActions" path="CreateActions"/>
+   <XActionItemReference entity="FileSeamComponents21" name="Properties" path="Properties"/>
+   <XActionItem kind="list" name="VerifyActions">
+    <XActionItem kind="list" name="StaticActions"/>
+   </XActionItem>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
  <XModelEntity name="FileSeamComponents23_EditorActionList">
   <XChildrenEntities/>
   <XEntityRenderer/>
@@ -2546,6 +2768,8 @@
    <XChildEntity name="FileSeamComponent22"/>
    <XChildEntity name="FileSeamComponents23"/>
    <XChildEntity name="FileSeamComponent23"/>
+   <XChildEntity name="FileSeamComponents230"/>
+   <XChildEntity name="FileSeamComponent230"/>
   </XChildrenEntities>
   <XActionItem kind="list">
    <XActionItem ICON="action.empty" displayName="New" group="1"
Index: src/org/jboss/tools/seam/xml/components/model/SeamComponentConstants.java
===================================================================
--- src/org/jboss/tools/seam/xml/components/model/SeamComponentConstants.java	(revision 41074)
+++ src/org/jboss/tools/seam/xml/components/model/SeamComponentConstants.java	(working copy)
@@ -20,6 +20,7 @@
 	public String SUFF_21 = "21"; //$NON-NLS-1$
 	public String SUFF_22 = "22"; //$NON-NLS-1$
 	public String SUFF_23 = "23"; //$NON-NLS-1$
+	public String SUFF_230 = "230"; //$NON-NLS-1$
 	public String PREF_FILE_SEAM_COMPONENT = "FileSeamComponent"; //$NON-NLS-1$
 	public String ENT_SEAM_COMPONENTS = "FileSeamComponents"; //$NON-NLS-1$
 	public String ENT_SEAM_COMPONENTS_11 = ENT_SEAM_COMPONENTS + SUFF_11;
@@ -28,11 +29,13 @@
 	public String ENT_SEAM_COMPONENTS_21 = ENT_SEAM_COMPONENTS + SUFF_21;
 	public String ENT_SEAM_COMPONENTS_22 = ENT_SEAM_COMPONENTS + SUFF_22;
 	public String ENT_SEAM_COMPONENTS_23 = ENT_SEAM_COMPONENTS + SUFF_23;
+	public String ENT_SEAM_COMPONENTS_230 = ENT_SEAM_COMPONENTS + SUFF_230;
 	public String ENT_SEAM_COMPONENT_12 = PREF_FILE_SEAM_COMPONENT + SUFF_12;
 	public String ENT_SEAM_COMPONENT_FILE_20 = PREF_FILE_SEAM_COMPONENT + SUFF_20;
 	public String ENT_SEAM_COMPONENT_FILE_21 = PREF_FILE_SEAM_COMPONENT + SUFF_21;
 	public String ENT_SEAM_COMPONENT_FILE_22 = PREF_FILE_SEAM_COMPONENT + SUFF_22;
 	public String ENT_SEAM_COMPONENT_FILE_23 = PREF_FILE_SEAM_COMPONENT + SUFF_23;
+	public String ENT_SEAM_COMPONENT_FILE_230 = PREF_FILE_SEAM_COMPONENT + SUFF_230;
 	public String ENT_SEAM_COMPONENT = "SeamComponent"; //$NON-NLS-1$
 	public String ENT_SEAM_COMPONENT_20 = ENT_SEAM_COMPONENT + SUFF_20;
 	public String ENT_SEAM_FACTORY = "SeamFactory";  //$NON-NLS-1$
Index: src/org/jboss/tools/seam/xml/components/model/SeamNamespaces.java
===================================================================
--- src/org/jboss/tools/seam/xml/components/model/SeamNamespaces.java	(revision 41074)
+++ src/org/jboss/tools/seam/xml/components/model/SeamNamespaces.java	(working copy)
@@ -41,7 +41,8 @@
 	private Map<String, String> namespaceToSchema = new HashMap<String, String>();
 	
 	private SeamNamespaces(XModelMetaData meta, String versionSuffix) {
-		XMapping m = meta.getMapping("SeamNamespaces"); //$NON-NLS-1$
+		String namespacesMapping = "$230".equals(versionSuffix) ? "SeamNamespacesOrg" : "SeamNamespaces"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		XMapping m = meta.getMapping(namespacesMapping);
 		if(m == null) return;
 		this.versionSuffix = versionSuffix;
 		String[] keys = m.getKeys();
@@ -50,7 +51,8 @@
 			namespaceToURI.put(keys[i], v);
 			uriToNamespace.put(v, keys[i]);
 		}
-		m = meta.getMapping("SeamSchemas"); //$NON-NLS-1$
+		String schemasMapping = "$230".equals(versionSuffix) ? "SeamSchemasOrg" : "SeamSchemas"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		m = meta.getMapping(schemasMapping);
 		if(m == null) return;
 		keys = m.getKeys();
 		for (int i = 0; i < keys.length; i++) {
Index: src/org/jboss/tools/seam/xml/components/model/SeamComponentsEntityRecognizer.java
===================================================================
--- src/org/jboss/tools/seam/xml/components/model/SeamComponentsEntityRecognizer.java	(revision 41074)
+++ src/org/jboss/tools/seam/xml/components/model/SeamComponentsEntityRecognizer.java	(working copy)
@@ -40,10 +40,11 @@
 			if(PUBLIC_ID_11.equals(publicId)) return ENT_SEAM_COMPONENTS_11;
 			return null;
 		}
-    	boolean isSingleComponent = isSingleComponent(body);
-    	if(!isComponentsSchema(body) && !isSingleComponent) {
+    	int isSingleComponent = isSingleComponent(body);
+    	if(isComponentsSchema(body) == NONE && isSingleComponent == NONE) {
     		return null;
     	}
+    	int isMultiComponent = isMultiComponent(body);
     	
     	int i = body.indexOf("xsi:schemaLocation"); //$NON-NLS-1$
     	if(i < 0) return null;
@@ -55,8 +56,9 @@
     	
     	int i12 = schemaLocation.indexOf("1.2"); //$NON-NLS-1$
     	if(i12 >= 0) {
-    		if(isSingleComponent) return ENT_SEAM_COMPONENT_12;
-    		if(isMultiComponent(body)) return ENT_SEAM_COMPONENTS_12;
+    		if(isSingleComponent == COM) return ENT_SEAM_COMPONENT_12;
+    		if(isMultiComponent == COM) return ENT_SEAM_COMPONENTS_12;
+    		return null;
     	}
     	//Let it work now for all 2.x versions
     	//If in future releases differences are essential, this should be modified
@@ -69,7 +71,7 @@
     		i23 = 0;
     	}
     	if(i23 >= 0) {
-    		if(isSingleComponent) {
+    		if(isSingleComponent == COM) {
     			if(i20 >= 0) {
     				return ENT_SEAM_COMPONENT_FILE_20;
     			}
@@ -81,7 +83,7 @@
     			}
     			return ENT_SEAM_COMPONENT_FILE_23;
     		}
-    		if(isMultiComponent(body)) {
+    		if(isMultiComponent == COM) {
     			if(i20 >= 0) {
     				return ENT_SEAM_COMPONENTS_20;
     			}
@@ -93,36 +95,49 @@
     			}
     			return ENT_SEAM_COMPONENTS_23;
     		}
+    		if(isSingleComponent == ORG && i23 >= 0) {
+    			return ENT_SEAM_COMPONENT_FILE_230;
+    		}
+    		if(isMultiComponent == ORG && i23 >= 0) {
+    			return ENT_SEAM_COMPONENTS_230;
+    		}
     	}
     	
         return null;
     }
+
+    static int NONE = 0;
+    static int COM = 1;
+    static int ORG = 2;
+
+    static String COM_SCHEMA = "\"http://jboss.com/products/seam/components\""; //$NON-NLS-1$
+    static String ORG_SCHEMA = "\"http://jboss.org/schema/seam/components\""; //$NON-NLS-1$
     
-    private boolean isComponentsSchema(String body) {
+    private int isComponentsSchema(String body) {
     	int i = body.indexOf("<components"); //$NON-NLS-1$
-    	if(i < 0) return false;
+    	if(i < 0) return NONE;
     	int j = body.indexOf(">", i); //$NON-NLS-1$
-    	if(j < 0) return false;
+    	if(j < 0) return NONE;
     	String s = body.substring(i, j);
-    	return s.indexOf("\"http://jboss.com/products/seam/components\"") > 0; //$NON-NLS-1$
+    	return s.indexOf(COM_SCHEMA) > 0 ? COM : s.indexOf(ORG_SCHEMA) > 0 ? ORG : NONE;
     }
     
-    private boolean isMultiComponent(String body) {
+    private int isMultiComponent(String body) {
     	int i = body.indexOf("<components"); //$NON-NLS-1$
-    	if(i < 0) return false;
+    	if(i < 0) return NONE;
     	int j = body.indexOf(">", i); //$NON-NLS-1$
-    	if(j < 0) return false;
+    	if(j < 0) return NONE;
     	String s = body.substring(i, j);
-    	return s.indexOf("\"http://jboss.com/products/seam/components\"") > 0; //$NON-NLS-1$
+    	return s.indexOf(COM_SCHEMA) > 0 ? COM : s.indexOf(ORG_SCHEMA) > 0 ? ORG : NONE;
     }
 
-    private boolean isSingleComponent(String body) {
+    private int isSingleComponent(String body) {
     	int i = body.indexOf("<component"); //$NON-NLS-1$
     	int is = body.indexOf("<components"); //$NON-NLS-1$
-    	if(i < 0 || is >= 0) return false;
+    	if(i < 0 || is >= 0) return NONE;
     	int j = body.indexOf(">", i); //$NON-NLS-1$
-    	if(j < 0) return false;
+    	if(j < 0) return NONE;
     	String s = body.substring(i, j);
-    	return s.indexOf("\"http://jboss.com/products/seam/components\"") > 0; //$NON-NLS-1$
+    	return s.indexOf(COM_SCHEMA) > 0 ? COM : s.indexOf(ORG_SCHEMA) > 0 ? ORG : NONE;
     }
 }
Index: src/org/jboss/tools/seam/xml/components/model/SeamComponentsFileLoader.java
===================================================================
--- src/org/jboss/tools/seam/xml/components/model/SeamComponentsFileLoader.java	(revision 41074)
+++ src/org/jboss/tools/seam/xml/components/model/SeamComponentsFileLoader.java	(working copy)
@@ -55,6 +55,7 @@
     	if(entity.endsWith(SeamComponentConstants.SUFF_21)) return "$21"; //$NON-NLS-1$
     	if(entity.endsWith(SeamComponentConstants.SUFF_22)) return "$22"; //$NON-NLS-1$
     	if(entity.endsWith(SeamComponentConstants.SUFF_23)) return "$23"; //$NON-NLS-1$
+    	if(entity.endsWith(SeamComponentConstants.SUFF_230)) return "$230"; //$NON-NLS-1$
     	return ""; //$NON-NLS-1$
     }
     
